// JavaScript Document
function d(id) {
	return document.getElementById(id);
}

function select_race (obj) {
	all_race = document.getElementsByName("race");
	for (a=0,b=all_race.length;a<b;a++) {
		all_race[a].className = 'in'
	}
	obj.className = 'act';
	switch (obj.id) {
		case 'man_war': desc = '<b>Человек-воин</b><br>Неплохо владеет всеми видами оружия, не имеет способности к магии, но может использовать различные магические предметы.'; break;
		case 'man_mag': desc = '<b>Человек-маг</b><br>Плохо владеет оружием, но имеет богатые способности к магии. Может в полной мере изучить светлые и темные заклинания как мирные, так и боевые.'; break;
		case 'elf_war': desc = '<b>Эльф-воин</b><br>Отлично справляется с легким оружием, может изучить основы лесной магии. Природная ловкость позволяет уворачиваться от ударов.'; break;
		case 'elf_mag': desc = '<b>Человек-воин</b><br>Практически не владеет холодным оружием, но замечательно использует боевые и мирные заклинания из арсенала эльфов. Может освоить основы магии людей.'; break;
		case 'dwa_war': desc = '<b>Человек-воин</b><br>Неплохо владеет всеми видами оружия, но особенно хорошо использует секиры. Имеет природную сопротивляемость к магии, сам может использовать магические предметы.'; break;
	}
	document.getElementById("race_desc").innerHTML = desc;
	document.getElementById("sel_race").value = obj.id;
}

function select_city (obj) {
	all_race = document.getElementsByName("city");
	for (a=0,b=all_race.length;a<b;a++) {
		all_race[a].className = 'in'
	}
	obj.className = 'act';
	switch (obj.id) {
		case 'idrios': desc = '<b>Идриос</b><br>Город, доступный для всех рас. В городе есть все необходимые здания.'; break;
	}
	document.getElementById("city_desc").innerHTML = desc;
	document.getElementById("sel_city").value = obj.id;
}

function check_form (step) {
	if (step==1) {
		access = true;
		if (d('login').value=='') { access = false; errno = 1;}
		if (d('pass1').value=='') { access = false; errno = 1;}
		if (d('pass2').value=='') { access = false; errno = 1;}
		if (d('pass1').value!=d('pass2').value) {access = false; errno = 2;}
		if (d('email').value=='') { access = false; errno = 1;}
		if (d('name').value=='') { access = false; errno = 1;}
		if (d('country').value=='') { access = false; errno = 1;}
		if (d('city').value=='') { access = false; errno = 1;}
		if (d('b_day').value=='0') {access = false; errno = 3;}
		if (d('b_mon').value=='0') {access = false; errno = 3;}
		if (d('b_yea').value=='0') {access = false; errno = 3;}
		if (d('pol1').checked==false && d('pol2').checked==false) {access = false; errno = 4;}
		if (d('email').value.indexOf('@')<1 || d('email').value.indexOf('.')<1) { access = false; errno = 7;}
	}
	else if (step==2) {
		if (d('sel_race').value=='') {access = false; errno = 5;}
	}
	else if (step==3) {
		if (d('sel_city').value=='') {access = false; errno = 6;}
	}

	if (access==false) {
		switch (errno) {
			case 1: err = 'Все поля должны быть заполнены'; break;
			case 2: err = 'Пароли не совпадают'; break;
			case 3: err = 'Неверно задана дата рождения'; break;
			case 4: err = 'Укажите пол';
			case 5: err = 'Выберите расу персонажа';
			case 6: err = 'Выберите родной город';
			case 7: err = 'Неверно указал email';
		}
		alert (err)
	}

	return access;
}

function check_login() {
	ajax_query ('check_login',d('login').value,'login_result');
}

function login_result(info) {
	if (info=='fail') { alert ('Персонаж с таким логином уже существует'); d('login').value = ''; d('login').focus() }
}